3.0.12 to 3.3.X

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
TLaren
Registered User
Posts: 3
Joined: Fri Jan 24, 2020 12:54 am

3.0.12 to 3.3.X

Post by TLaren »

I am running a very old system (3.0.12) and would like to get it up to date.
I have tried several suggestions I found online with no success.

If there a way to install the latest version and then import the users and messages from the old system to the new system?

Thanks in advance.
Tim
User avatar
Mick
Support Team Member
Support Team Member
Posts: 23057
Joined: Fri Aug 29, 2008 9:49 am

Re: 3.0.12 to 3.3.X

Post by Mick »

How are you trying to upgrade, by what method?
"The more connected we get the more alone we become" - Kyle Broflovski©
User avatar
warmweer
Jr. Extension Validator
Posts: 6550
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: 3.0.12 to 3.3.X

Post by warmweer »

TLaren wrote:
Fri Jan 24, 2020 7:21 am
If there a way to install the latest version and then import the users and messages from the old system to the new system?
Upgrading from 3.0 to 3.3 is the road to follow.
Just make sure your 3.0 database has been cleaned of any modifications (which implies that the captcha should be one of phpBB default ones).
And the most important part is ... to have a database backup (superfluous advice really).
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
janus_zonstraal
Registered User
Posts: 5143
Joined: Sat Aug 30, 2014 1:30 pm

Re: 3.0.12 to 3.3.X

Post by janus_zonstraal »

And the most important part is ... to have a database backup (superfluous advice really).
Files folder is also important. (if you have many images on your board)
Sorry! My English is bat ;) !!!
TLaren
Registered User
Posts: 3
Joined: Fri Jan 24, 2020 12:54 am

Re: 3.0.12 to 3.3.X

Post by TLaren »

Mick wrote:
Fri Jan 24, 2020 9:24 am
How are you trying to upgrade, by what method?
I tried using the upgrade bundle and no success.
I also tried doing the upgrade where you leave files, images (some other dir) and config.php and put everything else new and it failed. Tried that to the latest 3.0.XX and also to 3.2.X.

Because I have tried several times to do different upgrades and it always fails, maybe because of PHP 7.2, I would like to install a fresh copy of phpbb and then load the database.

I have downloaded the database (.sql file) and don't have any issues using an editor and removing anything not needed.

What I was hoping I could do is:
Installing the newest version.
Run install.
Import the old database with users and messages.
Will that work and is there somewhere I an find a list of Tables I need to import or ones I should not import?

I am very fluent with using ssh to get whatever done if that helps.

Tim
User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51907
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: 3.0.12 to 3.3.X

Post by stevemaury »

You are making this too hard. https://www.phpbb.com/support/docs/en/3 ... /upgrade3/

If you tried that and it doesn't work, give us some detail on what goes wrong.
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)
User avatar
warmweer
Jr. Extension Validator
Posts: 6550
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: 3.0.12 to 3.3.X

Post by warmweer »

TLaren wrote:
Sat Jan 25, 2020 1:42 am
Because I have tried several times to do different upgrades and it always fails, maybe because of PHP 7.2, I would like to install a fresh copy of phpbb and then load the database.
An issue you may have after your "several times" is that the /store contains install_config.php, io_lock.lock and some migrationsxxx (making the upgrade try to pick up where it stopped last time).
These should be removed before retrying an upgrade (and while you're at it, you can also delete /installer and /production from /cache).
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
TLaren
Registered User
Posts: 3
Joined: Fri Jan 24, 2020 12:54 am

Re: 3.0.12 to 3.3.X

Post by TLaren »

I made a full copy of the original directory and when I tried again, I delete the current directory and re-copy from my backup folder. The backup folder has the original working copy. When things failed I delete the 'try' and re-copy the original and it still works.

I get a lot of posts from, maybe from robots, and need to stop that or I can spend almost as much time as I have trying to upgrade just banning and deleting users.

I will try again tomorrow with all the advice above but feel I already have, but willing to try again.

Pretty sure that the upgrades do not work because they are not working as some functions from earlier PHP are no longer supported.
Other scripts, lots smaller, I have hand edited and made work but phpbb is just too big and I need the latest anyways.

Wish me luck.
Tim
User avatar
warmweer
Jr. Extension Validator
Posts: 6550
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: 3.0.12 to 3.3.X

Post by warmweer »

TLaren wrote:
Tue Feb 04, 2020 8:29 am
Pretty sure that the upgrades do not work because they are not working as some functions from earlier PHP are no longer supported.
Other scripts, lots smaller, I have hand edited and made work but phpbb is just too big and I need the latest anyways.
As I mentioned before: all modifications made to your 3.0 database have to be undone. in order to avoid problems when upgrading.
The STK does a pretty good job of this.
warmweer wrote:
Fri Jan 24, 2020 10:56 am
Upgrading from 3.0 to 3.3 is the road to follow.
Just make sure your 3.0 database has been cleaned of any modifications ...
If you can post a list of the modifications you had, we might be be to point you to extensions with similar features.

BTW you can easily test the upgrade on personal webserver (without touching your live site).
You could try usbwebserver with php5.6 (the most simple installation ever) which will allow you to run 3.0.12 and upgrade to 3.2.8 (further upgrading could then easily be done online after confirmation that the upgrade to 3.2.8 was successful)

BTW, I wrote 3.2.8 because I've got experience with upgrading to that version (not yet with 3.2.9) and can confirm it does the job properly (when the update from database is clean).
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
Post Reply

Return to “[3.3.x] Support Forum”